libecryptfs-dev_111-4_i386.deb


Advertisement

Description

libecryptfs-dev - ecryptfs cryptographic filesystem (development)

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libecryptfs-dev_111-4_i386.deb
Package name libecryptfs-dev
Package version 111
Package release 4
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://launchpad.net/ecryptfs
License -
Maintainer Laszlo Boszormenyi (GCS) <gcs@debian.org>
Download size 52.35 KB
Installed size 195.00 KB
eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic
filesystem for Linux.
This package contains the development files.

Alternatives

Package Version Architecture Repository
libecryptfs-dev_111-4_amd64.deb 111 amd64 Debian Main
libecryptfs-dev - - -

Requires

Name Value
libecryptfs1 = 111-4
libgpg-error-dev -
libgpgme11-dev -
libkeyutils-dev -
libpam0g-dev -
libtspi-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libecryptfs-dev_111-4_i386.deb
Source Package ecryptfs-utils

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libecryptfs-dev deb package:
    # sudo apt-get install libecryptfs-dev

Files

Path
/usr/include/ecryptfs.h
/usr/lib/i386-linux-gnu/libecryptfs.a
/usr/lib/i386-linux-gnu/libecryptfs.so
/usr/lib/i386-linux-gnu/pkgconfig/libecryptfs.pc
/usr/share/doc/libecryptfs-dev/changelog.Debian.gz
/usr/share/doc/libecryptfs-dev/changelog.gz
/usr/share/doc/libecryptfs-dev/copyright

Changelog

2017-03-18 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
ecryptfs-utils (111-4) unstable; urgency=medium
* Correct _libecryptfs.so symlink in python-ecryptfs (closes: #857417).
2016-12-07 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
ecryptfs-utils (111-3) unstable; urgency=medium
* Change build dependency to libgpgme-dev (closes: #846983).
* Update copyright file.
* Update debhelper level to 10 .
2016-08-18 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
ecryptfs-utils (111-2) unstable; urgency=low
* Remove bashism from postinst of ecryptfs-utils .
* Update python-ecryptfs lintian overrides.
* Don't directly depend on libnss3 (closes: #834687).
2016-07-14 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
ecryptfs-utils (111-1) unstable; urgency=high
* New upstream release, fixes the following vulnerabilities:
- CVE-2015-8946, ecryptfs-setup-swap improperly configures encrypted swap
when using GPT partitioning,
- CVE-2016-6224, ecryptfs-setup-swap improperly configured encrypted swap
when using GPT partitioning on a NVMe or MMC drive.
* Add check to prevent removal of ecryptfs-utils when it's still in use.
* Make rebuildable.
* Update Standards-Version to 3.9.8 .
* Sync with Ubuntu.
[ Dustin Kirkland ]
* debian/control:
- build depend on distro-info, which we use in our release script
2016-01-20 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
ecryptfs-utils (106-2) unstable; urgency=high
* CVE-2016-1572: Refuse to mount over non-standard filesystems.
* Use ${misc:Pre-Depends} instead of direct depends on multiarch-support.
2015-06-15 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
ecryptfs-utils (106-1) unstable; urgency=low
* New upstream release.
* Transition from libecryptfs0 to libecryptfs1 .
* Remove unused libgcrypt11-dev build dependency (closes: #764927).
* Remove bashism from the postinst of ecryptfs-utils .
* Add watch file.
* Put myself as the primary maintainer.
* Update Standards-Version to 3.9.6 .
[ Dustin Kirkland and Martin Pitt ]
* debian/ecryptfs-utils.postinst: LP: #953875
- detect and clean up after nonexisting cryptswap devices
[ Fernando Seiti Furusato <ferseiti@br.ibm.com> ]
* Use autoreconf instead of autotools-dev (closes: #751989).
2015-03-28 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
ecryptfs-utils (103-5) unstable; urgency=medium
* Backport fix for upstream mistake in CVE-2014-9687.
2015-03-20 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
ecryptfs-utils (103-4) unstable; urgency=high
* Backport upstream fix for CVE-2014-9687 (closes: #780385).
2013-09-18 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
ecryptfs-utils (103-3) unstable; urgency=low
* New maintainer (closes: #723595).
* Enable hardening build (closes: #681207).
* Minor packaging changes.
2013-03-26 - Luk Claes <luk@debian.org>
ecryptfs-utils (103-2) unstable; urgency=low
* Taking over with maintainer's consent.

See Also

Package Description
libecryptfs1_111-4_i386.deb ecryptfs cryptographic filesystem (library)
libeda0_0.44.15-1+b1_i386.deb Ecere Data Access
libedac-dev_0.18-1+b1_i386.deb report kernel-detected PCI and ECC RAM errors
libedac1_0.18-1+b1_i386.deb report kernel-detected PCI and ECC RAM errors
libedasqlite0_0.44.15-1+b1_i386.deb EDA SQLite Driver
libedata-book-1.2-25_3.22.7-1_i386.deb Backend library for evolution address books
libedata-book1.2-dev_3.22.7-1_i386.deb Backend library for evolution address books (development files)
libedata-cal-1.2-28_3.22.7-1_i386.deb Backend library for evolution calendars
libedata-cal1.2-dev_3.22.7-1_i386.deb Backend library for evolution calendars (development files)
libedataserver-1.2-22_3.22.7-1_i386.deb Utility library for evolution data servers
libedataserver1.2-dev_3.22.7-1_i386.deb Utility library for evolution data servers (development files)
libedataserverui-1.2-1_3.22.7-1_i386.deb Utility library for evolution data servers
libedataserverui1.2-dev_3.22.7-1_i386.deb Utility library for evolution data servers (development files)
libedbus-dev_1.7.10-1_i386.deb D-Bus and HAL wrapper libraries for use with the EFL - Development files
libedbus1_1.7.10-1_i386.deb D-Bus and HAL wrapper libraries for use with the EFL
Advertisement
Advertisement